---
layout: fr
title: Translation of Mastering Monero into Brazilian Portuguese
author: netrik182
date: April 13, 2020
amount: 37
milestones:
  - name: Milestone 1 - Translation of Mastering Monero
    funds: 37
    done:
    status: unfinished
payouts:
  - date:
    amount:
  - date:
    amount:
---

# Why Brazilian Portuguese?
According to this [article](https://exame.abril.com.br/mercados/primeira-regulacao-para-criptomoedas-comeca-hoje-no-brasil/), Brazil has over 1 million people registered with national brokers to invest in crypto and investors have even outnumbered those who invest in the stock market. Yet, only 5% of it's population states that they have some English knowledge. The level among those that state they know English are: basic (47%), intermediate (32%), advanced (16%) and actually doesn't know (5%)<sup>[source](https://www.britishcouncil.org.br/sites/default/files/learning_english_in_brazil.pdf)</sup>.

Moreover, Portuguese is the sixth [most spoken](https://www.babbel.com/en/magazine/top-5-reasons-to-learn-portuguese) language worldwide, with 215 million native speakers. It is the official language of not only Portugal and Brazil but also Angola, Cape Verde, Guinea-Bissau, Equatorial Guinea, Macau (China), Mozambique, São Tomé and Príncipe, East Timor, and Goa (India). There are almost a million native-Portuguese speakers in the USA.

# Ok. But why Mastering Monero?
In addition to being an excellent and insightful resource about Monero, the GUI Wallet and getmonero.org are already almost fully translated into Brazilian Portuguese. I wondered which other materials I could help bring to Portuguese speakers and Mastering Monero and Zero to Monero 2 seemed the next ones.

My initial intend was to translate Zero to Monero 2 as well, but after talking with some community members I decided to go for Mastering Monero first.

# Who am I?
Most of you probably don't know me yet. I'm a Monero contributor for some time now but much longer /r/Monero lurker for sure. I've been silently working with translation ever since I discovered I could give back to this amazing community by translating Monero stuff and helping spread the word.

Below you can find most of the work I've done so far.

## Profiles
My repo.getmonero.org [profile](https://repo.getmonero.org/users/netrik182/activity) where I contributed before Pootle (and now Weblate) was a thing.

My Weblate [profile](https://translate.getmonero.org/user/netrik182/) where I contribute to getmonero.org and Monero GUI translations.

## Monero Means Money
Provided the transcription and captions for the movie. You can check it here: [moneromeans.money](https://moneromeans.money)

## Monero Outreach
I contributed with translation, transcription and revision of many outreach materials, for example:
* [Getting Started with Helping Monero](https://github.com/monero-ecosystem/outreach-docs/pull/205)
* [Transaction Efficiency at MoneroKon](https://github.com/monero-ecosystem/outreach-docs/pull/202)
* [Elephant in the Pool at MoneroKon](https://github.com/monero-ecosystem/outreach-docs/pull/201)
* [Money at the Edge at MoneroKon](https://github.com/monero-ecosystem/outreach-docs/pull/200)
* [Moderating Monero at MoneroKon](https://github.com/monero-ecosystem/outreach-docs/pull/199)
* [Breaking Monero EP4](https://github.com/monero-ecosystem/outreach-docs/pull/147)
* [PSA: Know your Forks](https://github.com/monero-ecosystem/outreach-docs/pull/112)
* [PSA: Learning and PSA: Wallet](https://github.com/monero-ecosystem/outreach-docs/pull/107)
* [Fundamental Right to Privacy](https://github.com/monero-ecosystem/outreach-docs/pull/93)
* [Guerilla Marketing](https://github.com/monero-ecosystem/outreach-docs/pull/87)
* [About and other pages](https://github.com/monero-ecosystem/outreach-docs/pull/63) from monerooutreach.org
* [Monero Quick Facts](https://github.com/monero-ecosystem/outreach-docs/pull/57)
* [The Sleeping Giant of Cryptocurrency](https://github.com/monero-ecosystem/outreach-docs/pull/51)

## Monero GUI
Most of my contributions to GUI Wallet are on Weblate now. But here are the contributions I made on github.
* Monero Core [here](https://github.com/monero-project/monero-gui/pull/1590)
* And [here](https://github.com/monero-project/monero-gui/pull/1152)

## Monerujo
Translation of Monejuro strings:
* [Help and Node pages](https://github.com/m2049r/xmrwallet/pull/491/files)

## Monero Ecosystem
Updated and complemented a while back the terminology guide to help other contributors find technical terms in our native language.
* [Terminology Guide](https://github.com/monero-ecosystem/monero-translations/pull/35)

# Costs
Mastering Monero has ~~roughly 38500 [words](https://i.imgur.com/O5nXXI7.png)~~ exactly 37.151 words. I'm asking for ~~37~~ ~~34~~ 37 xmr. At a rate of ~~$52~~ ~~$58~~ $55 that rounds to about $0.055/word.

This proposal won't affect my other volunteer contributions and I'll keep helping the workgroups as I currently do. As a side effect of this work, I'll update/complement the [glossary available on Weblate](https://translate.getmonero.org/dictionaries/monero/pt_BR/).

I estimate 4-5.5 weeks to complete it and you'll be able to follow my progress on github. Should you have any considerations, think my word-counting is wrong or the rates unfair, I'm open to change any content of this proposal.