---
layout: wip
title: "[Monero Aligned] Locha Mesh, a resilient long-range radio mesh network"
author: "Randy Brito (@randybrito | @rdymac | @btcven)"
date: January 19th, 2020
amount: 150 XMR
milestones:
  - name: Month 1
    funds: 50 XMR
    done:
    status: unfinished
  - name: Month 2
    funds: 50 XMR
    done:
    status: unfinished
  - name: Month 3
    funds: 50 XMR
    done:
    status: unfinished
payouts:
  - date:
    amount:
  - date:
    amount:
  - date:
    amount:
---

### What

Advance the development of the Locha Mesh open-source software and hardware (https://github.com/btcven/locha) to enable private transactions broadcasting and sync without Internet over a resilient decentralized censorship-resistant mesh network using encrypted long-range radio communications.


### Who & Why

I’m Randy Brito, the founder of http://BitcoinVenezuela.com and co-founder CEO of Locha Mesh (@Locha_io).

At Locha Mesh we are creating the open-source software and hardware for real mesh network devices that will enable secure and private communications and transactions without Internet. The Locha Mesh will also enable access to censorship-resistant websites and information, without people having to post their Internet IP address or SIM card which is linked to their identity, so communications could be completely private.

The firmware that runs on the hardware, the hardware specification itself for creating your DIY Locha Mesh device, the mobile app and other software can be found in our GitHub organization, hosted by the non-profit Bitcoin Venezuela (https://github.com/btcven).

What we've been doing at Bitcoin Venezuela for Monero over the years:

- I've recommended the use of Monero in Venezuela for years due to its privacy features.
- Bitcoin Venezuela's prices API have been showing the real market XMRVEF rate for years (used by CakeWallet). Latest version 2.0 has also been showing XMRVES and keeping historical of both (https://api.bitcoinvenezuela.com/v2/historical/?pair=XMRVEF).
- I own MoneroVenezuela.com and MoneroVenezuela.org since 2016 to keep these domain names away from scammers trying to steal from Venezuelans.


### How does the Locha Mesh help Monero?

We are creating the software and hardware (our own boards and also the specification for a DIY version of it) for anyone to be able to connect to the Locha Mesh to transmit data securely and privately. So the Locha Mesh will enable what we intend to be an alternative communication channel for syncing nodes without having to go through the over-controlled censorable traditional Internet infrastructure.

In the past two years people have tried to transmit Bitcoin transactions over long-range radio, but they've been using hardware that is very limited, closed-source, and also on licensed bands that need the operator to get a Government license to be able to transmit. We at Locha Mesh are creating a real high-bandwidth open mesh network, using license-free bands, that is capable of handling not only block headers and transactions (which are very small in size) but also block sync and other more useful features, like the IPv6 support so services can run inside the Locha Mesh.


### This Proposal and Milestones

Monthly pay: 50 xmr (or ~$3,500.00 USD)

This monthly pay covers the cost of two full-time developers working on the Locha Mesh core code.

Total: 150 XMR

Milestones:
- Improve documentation for Monero developers who want to contribute to Locha Mesh code (first month).
- Improve documentation on how to build a DIY version of the Locha Mesh devices for developers to join efforts (1-2 months).
- Monero will be mentioned in the backers sections at https://github.com/btcven/locha home of the Locha Mesh open-source project, also at the documentation website when it is published, and whenever opportunities arise on social media (1-2 months).
- Work with Monero Outreach to promote Locha Mesh and the support from Monero, as well as translate documentation into other languages (3 months).
- Demo of the Turpial devices sending messages over a radio mesh network (3 months).

Payments: 3 payments of 50 XMR (or ~$3,500.00 USD), one for each month (paid in XMR)

This proposal can be reviewed in a month by month basis, and terminated at any given month if the Monero community agrees on that.


### In the long term

When previous milestones have been achieved and thanks to the contributions of the Monero community we would have been able to get closer to a deployment-ready state, these are some of the tasks we could work on that could be added in future proposals.

Future Roadmap:
- Research of what would be needed to be able to `submit_transaction` of an off-line `signed_monero_tx` file using gateways to reach the Monero network
- Details of the finished revision of the Turpial hardware that will be the production-ready device
- The Locha Mesh working as a production-ready product for private messaging over a decentralized mesh network of long-range radio devices
- The implementation of `submit_transaction` of an off-line `signed_monero_tx` file using Turpial devices or DIY versions to reach gateways in the Locha Mesh
- Synchronizing a Monero node over the Locha Mesh
- Open-sourcing the hardware of the Turpial device. We could do this, but it would need a substantial amount so we are able to cover the costs of the ongoing development of the Locha Mesh for a couple years at least, if raised development of both the software and hardware would not need to depend on VC money


### Where to follow progress

Regular updates will be shared by myself and the development team (changelogs) with features that have been finished and worked on each month (at least monthly) in our Twitter: @Locha_io , the updates section at GitHub (https://github.com/btcven/locha) with the Locha Mesh's core features being implemented, and our website: https://locha.io


### Contact

Randy Brito: randy@locha.io | contacto@bitcoinvenezuela.com

GPG: 637E 773C F6DD EE8F 009F 8461 6930 CFE7 0FA4 130C

If you prefer ProtonMail: bitcoinvenezuela@protonmail.com
